package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaNewretailPurchasePriceSaveRequest struct {
	/*
	   接口入参     */
	SavePurchasePriceRequest *domain.AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest `json:"save_purchase_price_request" required:"true" `
}

func (s *AlibabaNewretailPurchasePriceSaveRequest) SetSavePurchasePriceRequest(v domain.AlibabaNewretailPurchasePriceSaveSavePurchasePriceRequest) *AlibabaNewretailPurchasePriceSaveRequest {
	s.SavePurchasePriceRequest = &v
	return s
}

func (req *AlibabaNewretailPurchasePriceSaveRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.SavePurchasePriceRequest != nil {
		paramMap["save_purchase_price_request"] = util.ConvertStruct(*req.SavePurchasePriceRequest)
	}
	return paramMap
}

func (req *AlibabaNewretailPurchasePriceSaveRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
